RelayAPI

Retweet a tweet

POST
/v1/twitter/retweet
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.relayapi.dev/v1/twitter/retweet" \  -H "Content-Type: application/json" \  -d '{    "account_id": "string",    "tweet_id": "string"  }'
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "twitter_error_code": 0
  },
  "data": {
    "retweeted": true,
    "bookmarked": true,
    "following": true,
    "pending_follow": true
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "twitter_error_code": 0
  },
  "data": {
    "retweeted": true,
    "bookmarked": true,
    "following": true,
    "pending_follow": true
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "twitter_error_code": 0
  },
  "data": {
    "retweeted": true,
    "bookmarked": true,
    "following": true,
    "pending_follow": true
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "twitter_error_code": 0
  },
  "data": {
    "retweeted": true,
    "bookmarked": true,
    "following": true,
    "pending_follow": true
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "twitter_error_code": 0
  },
  "data": {
    "retweeted": true,
    "bookmarked": true,
    "following": true,
    "pending_follow": true
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "twitter_error_code": 0
  },
  "data": {
    "retweeted": true,
    "bookmarked": true,
    "following": true,
    "pending_follow": true
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo